\version "2.24.1"

includePattern = #(define-void-function (pattern) (string?)
  (let ((re  (make-regexp pattern))
        (dir (opendir "."))
        (inc '()))
    (do ((entry (readdir dir) (readdir dir)))
        ((eof-object? entry))
      (if (regexp-exec re entry)
        (set! inc (append inc (list (string-append "\\include \"" entry "\""))))))
    (closedir dir)
    (ly:parser-include-string (string-join (sort inc string<?) " "))))

\includePattern #(format #f "^~3,'0d-[0-9].ly$" N)
